### Method

# EDataServer Client set_backend_property_sync

deprecated: 3.8 since: 3.2

#### Declaration [src]

    gboolean
    e_client_set_backend_property_sync (
      EClient* client,
      const gchar* prop_name,
      const gchar* prop_value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets `client`‘s backend property of name `prop_name` to value `prop_value`.

Available since: 3.2

Deprecated since: 3.8

Clients cannot set backend properties. Any attempt will fail with an `E_CLIENT_ERROR_NOT_SUPPORTED` error.

#### Parameters

`prop_name`

  Type: `const gchar*`

  Property name, whose value to change; cannot be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prop_value`

  Type: `const gchar*`

  Property value, to set; cannot be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.